import { NgModule, ModuleWithProviders, SkipSelf, Optional } from '@angular/core';
import { Configuration } from './configuration';
import { HttpClient } from '@angular/common/http';


import { CarePlanService } from './api/carePlan.service';
import { DataCardService } from './api/dataCard.service';
import { NoteService } from './api/note.service';
import { ObservationService } from './api/observation.service';
import { TemplateService } from './api/template.service';

@NgModule({
  imports:      [],
  declarations: [],
  exports:      [],
  providers: [
    CarePlanService,
    DataCardService,
    NoteService,
    ObservationService,
    TemplateService ]
})
export class ApiModule {
    public static forRoot(configurationFactory: () => Configuration): ModuleWithProviders<any> {
        return {
            ngModule: ApiModule,
            providers: [ { provide: Configuration, useFactory: configurationFactory } ]
        };
    }

    constructor( @Optional() @SkipSelf() parentModule: ApiModule,
                 @Optional() http: HttpClient) {
        if (parentModule) {
            throw new Error('ApiModule is already loaded. Import in your base AppModule only.');
        }
        if (!http) {
            throw new Error('You need to import the HttpClientModule in your AppModule! \n' +
            'See also https://github.com/angular/angular/issues/20575');
        }
    }
}
