/*
 * DK Maternity Facade API
 * This is the specification of the DK Maternity Facade API. It is a facade for the Web Services Resource Transfer DK Maternity API.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import {AlcoholDrinkingBehaviorSection} from './alcoholDrinkingBehaviorSection';
import {AllergiesSection} from './allergiesSection';
import {BirthPlaceSection} from './birthPlaceSection';
import {BodyMeasuresSection} from './bodyMeasuresSection';
import {ChildPartnerSection} from './childPartnerSection';
import {ChronicDiseasesSection} from './chronicDiseasesSection';
import {CprIdentifiedPerson} from './cprIdentifiedPerson';
import {DataCardScreeningsSection} from './dataCardScreeningsSection';
import {DietaryAndExerciseSection} from './dietaryAndExerciseSection';
import {ExpectedDateOfDeliverySection} from './expectedDateOfDeliverySection';
import {HealthInsuranceSection} from './healthInsuranceSection';
import {MidwifeClinicSection} from './midwifeClinicSection';
import {OverallAssessmentSection} from './overallAssessmentSection';
import {PostpartumNursingSection} from './postpartumNursingSection';
import {PrenatalRiskAssessmentSection} from './prenatalRiskAssessmentSection';
import {PreviousAbortionsSection} from './previousAbortionsSection';
import {PreviousBirthsSection} from './previousBirthsSection';
import {SocialHistorySection} from './socialHistorySection';
import {SubstanceUseSection} from './substanceUseSection';
import {TobaccoUseAndExposureSection} from './tobaccoUseAndExposureSection';
import {VersionedSection} from './versionedSection';
import {WorkEnvironmentImpactSection} from './workEnvironmentImpactSection';
import {NoTranslationRequirements} from './noTranslationRequirements';
import {TranslationRequirements} from './translationRequirements';


export interface DataCard extends VersionedSection {
    recordTarget: CprIdentifiedPerson;
    childPartnerSection?: ChildPartnerSection;
    languageSection?: NoTranslationRequirements | TranslationRequirements;
    bodyMeasuresSection?: BodyMeasuresSection;
    socialHistorySection?: SocialHistorySection;
    previousBirthsSection?: PreviousBirthsSection;
    previousAbortionsSection?: PreviousAbortionsSection;
    expectedDateOfDeliverySection?: ExpectedDateOfDeliverySection;
    prenatalRiskAssessmentSection?: PrenatalRiskAssessmentSection;
    workEnvironmentImpactSection?: WorkEnvironmentImpactSection;
    allergiesSection?: AllergiesSection;
    screeningsSection?: DataCardScreeningsSection;
    chronicalDiseasesSection?: ChronicDiseasesSection;
    medicineSection?: VersionedSection & any;
    mmrVacinationSection?: VersionedSection & any;
    historyOfPreviousTreatmentWithImpactOnPregnancySection?: VersionedSection & any;
    tobaccoUseAndExposureSection?: TobaccoUseAndExposureSection;
    alcoholDrinkingBehaviorSection?: AlcoholDrinkingBehaviorSection;
    substanceUseSection?: SubstanceUseSection;
    dietaryAndExerciseSection?: DietaryAndExerciseSection;
    healthInsuranceSection?: HealthInsuranceSection;
    birthPlaceSection?: BirthPlaceSection;
    midwifeClinicSection?: MidwifeClinicSection;
    postpartumNursingSection?: PostpartumNursingSection;
    overallAssessmentSection?: OverallAssessmentSection;
}
