import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ActivitiesComponent } from './activities.component';
import {ActivitiesService} from './activities.service';
import {Activity, DataCardService} from 'facade-api';
import {of} from 'rxjs';
import {LocalizationPipe} from './localize';
import {By} from '@angular/platform-browser';
import {BrowserAnimationsModule} from '@angular/platform-browser/animations';

describe('ActivitiesComponent', () => {
  let component: ActivitiesComponent;
  let fixture: ComponentFixture<ActivitiesComponent>;
  const activity: Activity = {
    status: 'planned',
    plannedTime: {from: new Date(), to: new Date() },
    gestationWeek: '20+4',
  } as Activity;

  beforeEach(async () => {
    const spy = {
      maternityDataCardGet: of([...Array(20).keys()].map((index) => ({id: index}))),
      dummyDataCard$: of([])
    };
    await TestBed.configureTestingModule({
      declarations: [ ActivitiesComponent, LocalizationPipe ],
      providers: [
        {provide: ActivitiesService, useValue: spy},
      ],
      imports: [BrowserAnimationsModule]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ActivitiesComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
