import { TestBed } from '@angular/core/testing';

import { ActivitiesService } from './activities.service';
import {DataSourceService} from '../services/data-source.service';
import {LocalizationPipe} from './localize';
import {of} from 'rxjs';

describe('ActivitiesService', () => {
  let service: ActivitiesService;
  beforeEach(async () => {
    const spy = {
      dummyDataCards$: of({
        CareLevel: '4',
        gestationAge: '22+1 uger',
        term: '05-11-2020',
        multiple: 'Ja',
        Parity: '0',
        conditions: 'Diabetes +',
        translationAssistance: 'Ja',
        smokingStatus: 'Ja'
      }),
      carePlan$: of([{activities: []}])
    };
    await TestBed.configureTestingModule({
      declarations: [LocalizationPipe],
      providers: [
        {provide: DataSourceService, useValue: spy}
      ]
    })
      .compileComponents();
  });
  beforeEach(() => {
    TestBed.configureTestingModule({});
    service = TestBed.inject(ActivitiesService);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
