import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ActivityModalComponent } from './activity-modal.component';
import {FormGroup, FormGroupDirective, FormsModule, ReactiveFormsModule} from '@angular/forms';
import {AngularMaterialModule} from '../../modules/angular-material.module';
import {BrowserAnimationsModule} from '@angular/platform-browser/animations';
import {Component, Input} from '@angular/core';

describe('ActivityModalComponent', () => {
  let component: ActivityModalComponent;
  let fixture: ComponentFixture<ActivityModalComponent>;
  @Component({selector: 'app-modal', template: '<div><ng-content></ng-content></div>'})
  class ModalComponent {
    @Input() public header = '';
    private isModalVisible = false;
    public setVisible(isVisible: boolean): void {
      this.isModalVisible = isVisible;
    }
  }
  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ ActivityModalComponent, ModalComponent],
      imports: [FormsModule, ReactiveFormsModule, AngularMaterialModule, BrowserAnimationsModule]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ActivityModalComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('should hide the dialog upon submission', () => {
    const mockFormDirective = new FormGroupDirective([], []);
    spyOn(mockFormDirective, 'resetForm');
    component.setVisible(true);
    expect(component.isVisible()).toBeTrue();
    const mockForm = new FormGroup({});
    component.submitActivity(mockForm, mockFormDirective);
    expect(component.isVisible()).toBeFalse();
  });
});
