import {ComponentFixture, TestBed} from '@angular/core/testing';

import {CprSearchComponent} from './cpr-search.component';
import {CprSearchService} from './cpr-search.service';
import {MatIconModule} from '@angular/material/icon';
import {FormsModule} from '@angular/forms';

describe('CprSearchComponent', () => {
  let component: CprSearchComponent;
  let fixture: ComponentFixture<CprSearchComponent>;

  beforeEach(async () => {
    TestBed.overrideProvider(CprSearchService, {useValue: {}});
    await TestBed.configureTestingModule({
      declarations: [ CprSearchComponent ],
      imports: [MatIconModule, FormsModule]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(CprSearchComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('adds styling to wrapper on focus', (done) => {
    fixture.whenStable().then(() => {
      const input = fixture.elementRef.nativeElement.querySelector('input');
      // Check that stle is applied when focused
      input.dispatchEvent(new Event('focus'));
      fixture.detectChanges();
      expect(component.wrapper?.nativeElement.classList).toContain('focused');

      // Check that the style is gone when we un-focus
      input.dispatchEvent(new Event('blur'));
      fixture.detectChanges();
      expect(component.wrapper?.nativeElement.classList.contains('focused')).toBeFalse();
      done();
    });
  });
});
