import {Component, OnInit} from '@angular/core';
import {Observable} from 'rxjs';
import {DataCardResponse} from 'facade-api';
import {DataSourceService} from '../services/data-source.service';


@Component({
  selector: 'app-data-card',
  templateUrl: './data-card.component.html',
  styleUrls: ['./data-card.component.scss'],
})
export class DataCardComponent implements OnInit {

  public dummyDataCards: Observable<Array<DataCardResponse>> = this.dataSourceService.dummyDataCards$;

  constructor(private dataSourceService: DataSourceService) {
  }

  ngOnInit(): void {
    this.dummyDataCards.subscribe((data) => console.log(data));
  }
}

