import {Component, Inject, OnInit} from '@angular/core';
import {MAT_DIALOG_DATA, MatDialogRef} from '@angular/material/dialog';
import {ComponentPortal, ComponentType} from '@angular/cdk/portal';

// https://material.angular.io/components/dialog/examples
// https://stackoverflow.com/questions/48723439/dynamically-load-a-component-inside-a-material-matdialog
export interface DialogData {
  header: string;
  component: ComponentType<any>;
  simpleContent: string;
  noButtonText: string;
  okButtonText: string;
}

@Component({
  selector: 'app-dialog',
  templateUrl: './dialog.component.html',
  styleUrls: ['./dialog.component.scss']
})
export class DialogComponent implements OnInit {
  public content: ComponentPortal<any> | undefined;

  constructor(
    public dialogRef: MatDialogRef<DialogComponent>,
    @Inject(MAT_DIALOG_DATA) public data: DialogData) {
  }

  onNoClick(): void {
    this.dialogRef.close();
  }

  ngOnInit(): void {
    this.content = new ComponentPortal(this.data.component);
  }
}
