import { ComponentFixture, TestBed } from '@angular/core/testing';

import { FeedbackComponent } from './feedback.component';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {AngularMaterialModule} from '../modules/angular-material.module';
import {MatDialogRef} from '@angular/material/dialog';
import {BrowserAnimationsModule} from '@angular/platform-browser/animations';
import {Feedback, FeedbackService} from '../services/feedback.service';
import {of} from 'rxjs';
import {DialogComponent} from '../dialog/dialog.component';

describe('FeedbackComponent', () => {
  let component: FeedbackComponent;
  let fixture: ComponentFixture<FeedbackComponent>;

  const matDialogRefSpy: jasmine.SpyObj<MatDialogRef<DialogComponent>> = jasmine.createSpyObj('ServiceInjected', ['close']);
  matDialogRefSpy.close.and.callThrough();

  let feedbackService: FeedbackService;
  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ FeedbackComponent ],
      imports: [
      FormsModule,
      ReactiveFormsModule,
      AngularMaterialModule,
      BrowserAnimationsModule
      ],
      providers: [ {
        provide: MatDialogRef,
        useValue: matDialogRefSpy
      }]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(FeedbackComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
    feedbackService = TestBed.inject(FeedbackService);
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('should send feedback', () => {
    const spy = spyOn(feedbackService, 'sendFeedback').and.returnValue(of<Feedback>({comment: '', rating: 5}));
    component.form.get('rating')?.setValue(2);
    component.sendFeedback();
    expect(spy).toHaveBeenCalled();
  });
});
