import { GestationAgePipe } from './gestation-age.pipe';

describe('GestationAgePipe', () => {
  it('create an instance', () => {
    const pipe = new GestationAgePipe();
    expect(pipe).toBeTruthy();
  });

  it('computes gestation age correctly', () => {
    const pipe = new GestationAgePipe();
    const dateOfLastPeriod = new Date(Date.parse('01-01-2020 00:00:00'));
    const referenceDate = new Date(Date.parse('01-17-2020 00:00:00'));
    expect(pipe.transform(dateOfLastPeriod, referenceDate)).toEqual('2+2');
  });

  it('handles gestation across months', () => {
    const pipe = new GestationAgePipe();
    const dateOfLastPeriod = new Date(Date.parse('01-01-2020 00:00:00'));
    const referenceDate = new Date(Date.parse('03-17-2020 00:00:00'));
    expect(pipe.transform(dateOfLastPeriod, referenceDate)).toEqual('10+6');
  });

});

