import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'gestationAge'
})
export class GestationAgePipe implements PipeTransform {

  transform(value: Date, referenceDate?: Date): string {
    if (!value) {
      return '?';
    }
    const now = referenceDate || new Date();
    now.setHours(0, 0, 0, 0);
    const msSinceValue = now.getTime() - value.getTime();
    const daysSinceValue = Math.floor(msSinceValue / (1000 * 60 * 60 * 24));
    return `${Math.floor(daysSinceValue / 7)}+${daysSinceValue % 7}`;
  }

}
