import {Component, Input, OnInit} from '@angular/core';
import {animate, style, transition, trigger} from '@angular/animations';

const timings = '250ms';

@Component({
  selector: 'app-modal',
  templateUrl: './modal.component.html',
  styleUrls: ['./modal.component.scss'],
  animations: [
    trigger('slideInOut', [
      transition(':enter', [
        style({transform: 'translateX(100%)'}),
        animate(timings + ' ease-in-out', style({transform: 'translateX(0%)'}))
      ]),
      transition(':leave', [
        animate(timings + ' ease-in-out', style({transform: 'translateX(100%)'}))
      ])
    ]),
    trigger(
      'fadeInOut',
      [
        transition(
          ':enter',
          [
            style({ opacity: 0 }),
            animate(timings + ' ease-out',
              style({opacity: 0.3 }))
          ]
        ),
        transition(
          ':leave',
          [
            animate(timings + ' ease-out',
            style({ opacity: 0}))
          ]
        )
      ]
    )
  ]
})
export class ModalComponent implements OnInit {
  @Input() public header = '';
  public isModalVisible = false;
  constructor() { }

  ngOnInit(): void {
  }

  public setVisible(isVisible: boolean): void {
    this.isModalVisible = isVisible;
  }
}
