import {Injectable} from '@angular/core';
import {Observable, of, timer} from 'rxjs';
import {concatMap} from 'rxjs/operators';

export interface Feedback {
  rating: number;
  comment?: string;
}

@Injectable({
  providedIn: 'root'
})
export class FeedbackService {

  constructor() {
  }

  sendFeedback(feedback: Feedback): Observable<Feedback> {
    console.log(`Feedback service sendFeedback(): \nRating: ${feedback.rating}`);
    if (feedback.comment){
      console.log(`comment: ${feedback.comment}`);
    }

    // Return feedback af 2 seconds as the http POST request was successful
    return timer(2000).pipe(
      concatMap(_ => of(feedback))
    );
  }
}
