import { Injectable } from '@angular/core';
import {DataSourceService} from './data-source.service';
import {Observable} from 'rxjs';
import {DataCardScreeningsSection} from 'facade-api';
import {map} from 'rxjs/operators';

@Injectable({
  providedIn: 'root'
})
export class ScreeningsService {
  public screenings$: Observable<(DataCardScreeningsSection | undefined)[]> = this.dataSourceService.dummyDataCards$.pipe(
    map(dataCards => dataCards.map(dataCard => dataCard.screeningsSection))
  );
  constructor(private dataSourceService: DataSourceService) { }
}
