import {UserAuthorizationType} from '../app/services/user-context.service';

export function setLocalStorageRole(user: string, authorizationCode: UserAuthorizationType): void {
  localStorage.setItem(user, JSON.stringify(authorizationCode));
}

export function getLocalStorageRole(user: string): UserAuthorizationType | undefined {
  const previousSelectedRole = localStorage.getItem(user);
  if (previousSelectedRole){
    return JSON.parse(previousSelectedRole);
  }
  return undefined;
}

